/* Bluefish HTML Editor
 * html.h - menu/toolbar callback prototypes
 *
 * Copyright (C) 1998 Olivier Sessink and Chris Mazuc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

void general_html(GtkWidget * widget, gpointer data);
void body(GtkWidget * widget, gpointer data);
void quickanchor(GtkWidget * widget, gpointer data);
void quickrule(GtkWidget * widget, gpointer data);
void email(GtkWidget * widget, gpointer data);
void fontdialog(GtkWidget * widget, gpointer data);
void basefont(GtkWidget * widget, gpointer data);
void tabledialog(GtkWidget * widget, gpointer data);
void tablerowdialog(GtkWidget * widget, gpointer data);
void tableheaderdialog(GtkWidget * widget, gpointer data);
void tabledatadialog(GtkWidget * widget, gpointer data);
void framesetdialog(GtkWidget * widget, gpointer data);
void framedialog(GtkWidget * widget, gpointer data);
void formdialog(GtkWidget * widget, gpointer data);
void submitdialog(GtkWidget * widget, gpointer data);
void resetdialog(GtkWidget * widget, gpointer data);
void textdialog(GtkWidget * widget, gpointer data);
void hiddendialog(GtkWidget * widget, gpointer data);
void textareadialog(GtkWidget * widget, gpointer data);
void radiodialog(GtkWidget * widget, gpointer data);
void checkdialog(GtkWidget * widget, gpointer data);
void selectdialog(GtkWidget * widget, gpointer data);
void quicklist(GtkWidget * widget, gpointer data);
void meta(GtkWidget * widget, gpointer data);
void embed(GtkWidget * widget, gpointer data);
void sel_colour (GtkWidget * widget, gpointer data);
void insert_time (GtkWidget * widget, gpointer data);
void insert_char(GtkWidget * widget, gpointer data);

void insert_text(gchar *before, gchar *after);

/* color select button function */
GtkWidget *color_but_new(GtkCombo * which_combo);
/* file select button function */
GtkWidget *file_but_new(GtkWidget * which_entry);
gchar *return_file();
